components:
  schemas:
    JsonSchemaFile_v1_0_5_JsonSchemaFile:
      additionalProperties: false
      description: This is the schema definition for the Schema File locator resource.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_type
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Languages:
          description: Language codes for the schemas available.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: The value of this property shall be a string consisting
            of an RFC 5646 language code.
        Location:
          description: Location information for this schema file.
          items:
            $ref: '#/components/schemas/JsonSchemaFile_v1_0_5_Location'
          type: array
          x-longDescription: This property shall contain the location information
            for this schema file.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        Schema:
          description: The @odata.type name this schema describes.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be the value of the
            @odata.type property for that schema and shall conform to the syntax specified
            in the Redfish specification for the Type property.
      required:
      - Languages
      - Schema
      - Location
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent the Schema File
        locator resource for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    JsonSchemaFile_v1_0_5_Location:
      additionalProperties: false
      description: Location information for a schema file.
      properties:
        ArchiveFile:
          description: If the schema is hosted on the service in an archive file,
            this is the name of the file within the archive.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be the file name of
            the individual schema file within the archive file specified by the ArchiveUri
            property.  The file name shall conform to the format [SchemaType].[MajorVersion].[MinorVersion].json
            and be in conformance with the Redfish specification.
        ArchiveUri:
          description: If the schema is hosted on the service in an archive file,
            this is the link to the archive file.
          format: uri
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a URI co-located
            with the Redfish service that specifies the location of the schema file.  This
            property shall only be used for archive files (zip or other formats).  The
            value of ArchiveFile shall have the file name of the individual schema
            file within the archive file.
        Language:
          description: The language code for the file the schema is in.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a string consisting
            of an RFC5646 language code or the string 'default'.
        PublicationUri:
          description: Link to publicly available (canonical) URI for schema.
          format: uri
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a URI not co-located
            with the Redfish service that specifies the canonical location of the
            schema file.  This property shall only be used for individual schema files.
        Uri:
          description: Link to locally available URI for schema.
          format: uri
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a URI co-located
            with the Redfish service that specifies the location of the schema file.  This
            property shall only be used for individual schema files.  The file name
            portion of the URI shall conform to the format [SchemaType].[MajorVersion].[MinorVersion].json
            and be in conformance with the Redfish specification.
      type: object
      x-longDescription: This type shall describe location information for a schema
        file.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
title: '#JsonSchemaFile.v1_0_5.JsonSchemaFile'
x-copyright: Copyright 2014-2018 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
